local fn = vim.fn
local install_path = fn.stdpath("data") .. "/site/pack/packer/start/packer.nvim"
if fn.empty(fn.glob(install_path)) > 0 then
	packer_bootstrap =
		fn.system({ "git", "clone", "--depth", "1", "https://github.com/wbthomason/packer.nvim", install_path })
end

vim.g.mapleader = " "
vim.g.maplocalleader = " "

vim.cmd([[packadd packer.nvim]])

require("options")
require("plugins")
require("keymaps")
require("autocommands")
require("lsp")
require("dap")

vim.cmd([[colorscheme moonfly]])
