vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

local options = {
	backup = false,
	clipboard = "unnamedplus",
	cmdheight = 2,
	completeopt = { "menuone", "noselect" },
	conceallevel = 0,
	fileencoding = "utf-8",
	hidden = true,
	hlsearch = true,
	ignorecase = true,
	mouse = "a",
	pumheight = 10,
	showmode = false,
	showtabline = 2,
	smartcase = true,
	smartindent = true,
	splitbelow = true,
	splitright = true,
	swapfile = false,
	termguicolors = true,
	undofile = true,
	updatetime = 300,
	writebackup = false,
	shiftwidth = 4,
	tabstop = 4,
	cursorline = true,
	number = true,
	-- relativenumber = true,
	numberwidth = 4,
	signcolumn = "yes",
	wrap = true,
	scrolloff = 8,
	sidescrolloff = 8,
	syntax = "on",
	foldmethod = "expr",
	foldexpr = "nvim_treesitter#foldexpr()",
	foldnestmax = 4,
	foldlevel = 99,
	foldlevelstart = 1,
}

vim.opt.shortmess:append("c")

for k, v in pairs(options) do
	vim.opt[k] = v
end

vim.cmd("set whichwrap+=<,>,[,],h,l")
